body{
    height: 100%;
    width: 100%;
    margin: 0;
    background-color: #1b1b32;
    color: #f5f6f7;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 16px;
}

h1,p{
    margin: 1em auto;
    text-align: center;
}


form{
    width: 60vw;
    max-width: 500px;
    min-width: 300px;
    margin: 0 auto;
    padding-bottom: 2em;
}

fieldset{
    border: none;
    padding: 2rem 0;
}

fieldset:not(:last-of-type){
    border-bottom: 3px solid #3b3b4f;
}

label{
    display: block;
    margin: 0.5rem 0;
}

input,textarea,select{
    margin: 10px 0 0 0;
    width: 100%;
    min-height: 2em;
}

input, textarea{
    background-color: #0a0a23;
    border: 1px solid #0a0a23;
    color: #ffffff;
}

.inline{
    width: unset;
    margin: 0 0.5em 0 0;
    vertical-align: middle;
}

#submit {
    display: block;
    width: 100%;
    margin: 1em auto;
    height: 2em;
    font-size: 1.1rem;
    background-color: transparent; /* Transparent background */
    border: 2px solid #ffffff; /* White border */
    color: #ffffff; /* White text */
    text-align: center;
    cursor: pointer;
    min-width: 300px;
    transition: all 0.3s ease-in-out;
}

input[type="file"]{
    padding: 1px 2px;
}

a{
    color: #dfdfe2;
}

input:focus, textarea:focus, select:focus {
    outline: 2px solid #5c5c8a;
}

#submit:hover {
    background-color: rgba(255, 255, 255, 0.2); /* Slight white tint on hover */
    color: white;
}